## org.metaabm.act
Interface MetaABMActFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetaABMActFactoryImpl

    public interface MetaABMActFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Author:
  Miles Parker
See Also:
  `MetaABMActPackage`

Field Summary
`static MetaABMActFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`AAll` `createAAll()` Returns a new object of class 'AAll'.
`AAny` `createAAny()` Returns a new object of class 'AAny'.
`ABuild` `createABuild()` Returns a new object of class 'ABuild'.
`ABuildGeography` `createABuildGeography()` Returns a new object of class 'ABuild Geography'.
`ABuildGrid` `createABuildGrid()` Returns a new object of class 'ABuild Grid'.
`ABuildNetwork` `createABuildNetwork()` Returns a new object of class 'ABuild Network'.
`ABuildSpace` `createABuildSpace()` Returns a new object of class 'ABuild Space'.
`ACause` `createACause()` Returns a new object of class 'ACause'.
`AConnect` `createAConnect()` Returns a new object of class 'AConnect'.
`ACreateAgents` `createACreateAgents()` Returns a new object of class 'ACreate Agents'.
`ACreateShapedAgents` `createACreateShapedAgents()` Returns a new object of class 'ACreate Shaped Agents'.
`ADerive` `createADerive()` Returns a new object of class 'ADerive'.
`ADie` `createADie()` Returns a new object of class 'ADie'.
`ADiffuse` `createADiffuse()` Returns a new object of class 'ADiffuse'.
`ADisconnect` `createADisconnect()` Returns a new object of class 'ADisconnect'.
`AEvaluate` `createAEvaluate()` Returns a new object of class 'AEvaluate'.
`AGroup` `createAGroup()` Returns a new object of class 'AGroup'.
`AInitialize` `createAInitialize()` Returns a new object of class 'AInitialize'.
`AInput` `createAInput()` Returns a new object of class 'AInput'.
`ALeave` `createALeave()` Returns a new object of class 'ALeave'.
`ALiteral` `createALiteral()` Returns a new object of class 'ALiteral'.
`ALoadAgents` `createALoadAgents()` Returns a new object of class 'ALoad Agents'.
`ALoadShapedAgents` `createALoadShapedAgents()` Returns a new object of class 'ALoad Shaped Agents'.
`AMethod` `createAMethod()` Returns a new object of class 'AMethod'.
`AMove` `createAMove()` Returns a new object of class 'AMove'.
`AMultiValue` `createAMultiValue()` Returns a new object of class 'AMulti Value'.
`ANone` `createANone()` Returns a new object of class 'ANone'.
`APerform` `createAPerform()` Returns a new object of class 'APerform'.
`AQuery` `createAQuery()` Returns a new object of class 'AQuery'.
`AReplace` `createAReplace()` Returns a new object of class 'AReplace'.
`ARule` `createARule()` Returns a new object of class 'ARule'.
`ASchedule` `createASchedule()` Returns a new object of class 'ASchedule'.
`ASelect` `createASelect()` Returns a new object of class 'ASelect'.
`ASet` `createASet()` Returns a new object of class 'ASet'.
`AWatch` `createAWatch()` Returns a new object of class 'AWatch'.
`MetaABMActPackage` `getMetaABMActPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final MetaABMActFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAGroup

    AGroup createAGroup()

  Returns a new object of class 'AGroup'.

  Returns:
    a new object of class 'AGroup'.

### createASchedule

    ASchedule createASchedule()

  Returns a new object of class 'ASchedule'.

  Returns:
    a new object of class 'ASchedule'.

### createABuild

    ABuild createABuild()

  Returns a new object of class 'ABuild'.

  Returns:
    a new object of class 'ABuild'.

### createAInitialize

    AInitialize createAInitialize()

  Returns a new object of class 'AInitialize'.

  Returns:
    a new object of class 'AInitialize'.

### createARule

    ARule createARule()

  Returns a new object of class 'ARule'.

  Returns:
    a new object of class 'ARule'.

### createAMethod

    AMethod createAMethod()

  Returns a new object of class 'AMethod'.

  Returns:
    a new object of class 'AMethod'.

### createAAny

    AAny createAAny()

  Returns a new object of class 'AAny'.

  Returns:
    a new object of class 'AAny'.

### createAAll

    AAll createAAll()

  Returns a new object of class 'AAll'.

  Returns:
    a new object of class 'AAll'.

### createANone

    ANone createANone()

  Returns a new object of class 'ANone'.

  Returns:
    a new object of class 'ANone'.

### createAQuery

    AQuery createAQuery()

  Returns a new object of class 'AQuery'.

  Returns:
    a new object of class 'AQuery'.

### createAEvaluate

    AEvaluate createAEvaluate()

  Returns a new object of class 'AEvaluate'.

  Returns:
    a new object of class 'AEvaluate'.

### createAWatch

    AWatch createAWatch()

  Returns a new object of class 'AWatch'.

  Returns:
    a new object of class 'AWatch'.

### createASet

    ASet createASet()

  Returns a new object of class 'ASet'.

  Returns:
    a new object of class 'ASet'.

### createACreateAgents

    ACreateAgents createACreateAgents()

  Returns a new object of class 'ACreate Agents'.

  Returns:
    a new object of class 'ACreate Agents'.

### createABuildNetwork

    ABuildNetwork createABuildNetwork()

  Returns a new object of class 'ABuild Network'.

  Returns:
    a new object of class 'ABuild Network'.

### createABuildSpace

    ABuildSpace createABuildSpace()

  Returns a new object of class 'ABuild Space'.

  Returns:
    a new object of class 'ABuild Space'.

### createABuildGeography

    ABuildGeography createABuildGeography()

  Returns a new object of class 'ABuild Geography'.

  Returns:
    a new object of class 'ABuild Geography'.

### createABuildGrid

    ABuildGrid createABuildGrid()

  Returns a new object of class 'ABuild Grid'.

  Returns:
    a new object of class 'ABuild Grid'.

### createASelect

    ASelect createASelect()

  Returns a new object of class 'ASelect'.

  Returns:
    a new object of class 'ASelect'.

### createAMove

    AMove createAMove()

  Returns a new object of class 'AMove'.

  Returns:
    a new object of class 'AMove'.

### createALeave

    ALeave createALeave()

  Returns a new object of class 'ALeave'.

  Returns:
    a new object of class 'ALeave'.

### createADie

    ADie createADie()

  Returns a new object of class 'ADie'.

  Returns:
    a new object of class 'ADie'.

### createAConnect

    AConnect createAConnect()

  Returns a new object of class 'AConnect'.

  Returns:
    a new object of class 'AConnect'.

### createADisconnect

    ADisconnect createADisconnect()

  Returns a new object of class 'ADisconnect'.

  Returns:
    a new object of class 'ADisconnect'.

### createAReplace

    AReplace createAReplace()

  Returns a new object of class 'AReplace'.

  Returns:
    a new object of class 'AReplace'.

### createACause

    ACause createACause()

  Returns a new object of class 'ACause'.

  Returns:
    a new object of class 'ACause'.

### createADiffuse

    ADiffuse createADiffuse()

  Returns a new object of class 'ADiffuse'.

  Returns:
    a new object of class 'ADiffuse'.

### createAPerform

    APerform createAPerform()

  Returns a new object of class 'APerform'.

  Returns:
    a new object of class 'APerform'.

### createADerive

    ADerive createADerive()

  Returns a new object of class 'ADerive'.

  Returns:
    a new object of class 'ADerive'.

### createALoadShapedAgents

    ALoadShapedAgents createALoadShapedAgents()

  Returns a new object of class 'ALoad Shaped Agents'.

  Returns:
    a new object of class 'ALoad Shaped Agents'.

### createACreateShapedAgents

    ACreateShapedAgents createACreateShapedAgents()

  Returns a new object of class 'ACreate Shaped Agents'.

  Returns:
    a new object of class 'ACreate Shaped Agents'.

### createALoadAgents

    ALoadAgents createALoadAgents()

  Returns a new object of class 'ALoad Agents'.

  Returns:
    a new object of class 'ALoad Agents'.

### getMetaABMActPackage

    MetaABMActPackage getMetaABMActPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

### createAInput

    AInput createAInput()

  Returns a new object of class 'AInput'.

  Returns:
    a new object of class 'AInput'.

### createALiteral

    ALiteral createALiteral()

  Returns a new object of class 'ALiteral'.

  Returns:
    a new object of class 'ALiteral'.

### createAMultiValue

    AMultiValue createAMultiValue()

  Returns a new object of class 'AMulti Value'.

  Returns:
    a new object of class 'AMulti Value'.